curl --request GET \
--url https://api.nitrosend.com/v1/my/flows \
--header 'Authorization: Bearer <token>'[
{
"id": 123,
"account_id": 123,
"status": "draft",
"approval_state": "<string>",
"name": "<string>",
"goal": "<string>",
"trigger": {
"event": "<string>",
"segment_id": 123,
"contact_list_id": 123,
"data": {}
},
"steps": [
{
"type": "email",
"subject": "<string>",
"body": "<string>",
"preheader": "<string>",
"duration": 123,
"filters": [
{}
],
"yes": "<array>",
"no": "<array>",
"event_name": "<string>",
"forward_event_data": true
}
],
"sent_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"templates": [
{
"id": 123,
"name": "<string>",
"flow_id": 123,
"action_id": 123,
"subject": "<string>",
"body": "<string>",
"preheader": "<string>",
"from_name": "<string>",
"from_email": "<string>",
"reply_to": "<string>",
"design": {
"sections": [
{
"type": "header",
"props": {},
"styles": {
"background_color": "<string>",
"padding": "<string>",
"align": "left"
}
}
],
"theme": {
"brand_color": "<string>",
"bg_color": "<string>",
"text_color": "<string>",
"font_body": "<string>",
"font_heading": "<string>",
"logo_url": "<string>"
}
},
"variables": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}
]Returns standalone flows only (excludes campaign-attached flows).
curl --request GET \
--url https://api.nitrosend.com/v1/my/flows \
--header 'Authorization: Bearer <token>'[
{
"id": 123,
"account_id": 123,
"status": "draft",
"approval_state": "<string>",
"name": "<string>",
"goal": "<string>",
"trigger": {
"event": "<string>",
"segment_id": 123,
"contact_list_id": 123,
"data": {}
},
"steps": [
{
"type": "email",
"subject": "<string>",
"body": "<string>",
"preheader": "<string>",
"duration": 123,
"filters": [
{}
],
"yes": "<array>",
"no": "<array>",
"event_name": "<string>",
"forward_event_data": true
}
],
"sent_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"templates": [
{
"id": 123,
"name": "<string>",
"flow_id": 123,
"action_id": 123,
"subject": "<string>",
"body": "<string>",
"preheader": "<string>",
"from_name": "<string>",
"from_email": "<string>",
"reply_to": "<string>",
"design": {
"sections": [
{
"type": "header",
"props": {},
"styles": {
"background_color": "<string>",
"padding": "<string>",
"align": "left"
}
}
],
"theme": {
"brand_color": "<string>",
"bg_color": "<string>",
"text_color": "<string>",
"font_body": "<string>",
"font_heading": "<string>",
"logo_url": "<string>"
}
},
"variables": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}
]API key (nskey_live_...) or JWT token. API key is checked first;
if not found, falls back to Devise JWT authentication.
Flows with trigger, steps, and templates
draft, active, paused, archived Trigger as returned by Flow::Format.dump
Show child attributes
Show child attributes
Show child attributes